Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.xml
Class ExportHtml.Category

    java.lang.Object
      |
      +--org.opencyc.xml.ExportHtml.Category

Enclosing class:
  ExportHtml

public class ExportHtml.Category
extends java.lang.Object

Provides a container for term category information used to make vocabulary category HTML pages.

Field Summary
`CycConstant` | `mt` The mt in which the query is asked.
`java.lang.String` | `outputPath` The file name used to output this categorized vocabulary page.
`java.lang.String` | `queryString` The query string used to make this categorized vocabulary page.
`java.lang.String` | `title` The title of this categorized vocabulary page.

Constructor Summary
`ExportHtml.Category()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### queryString

    public java.lang.String queryString

  The query string used to make this categorized vocabulary page.

### mt

    public CycConstant mt

  The mt in which the query is asked.

### outputPath

    public java.lang.String outputPath

  The file name used to output this categorized vocabulary page.

### title

    public java.lang.String title

  The title of this categorized vocabulary page.

Constructor Detail

### ExportHtml.Category

    public ExportHtml.Category()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD